using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.home.Group
{
    public partial class req : JuSNS.UI.Page.UserPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DataBind();
            LoadList();
        }

        /// <summary>
        /// 加载列表
        /// </summary>
        protected void LoadList()
        {
            JuSNS.Home.GroupMember gmember = new JuSNS.Home.GroupMember();
            DataTable dt = gmember.getGroupRequest(UserID);
            Lit_Cnt.Text = Lit_Cnt1.Text = "0";

            if (dt != null)
            {
                int cnt = dt.Rows.Count;
                Lit_Cnt.Text = cnt.ToString();
                Lit_Cnt1.Text = cnt.ToString();
                Rpt_RequestList.DataSource = dt;
                Rpt_RequestList.DataBind();
                dt.Clear();
                dt.Dispose();
            }
        }

        /// <summary>
        /// 取得附言
        /// </summary>
        /// <param name="Postscript">附言</param>
        /// <returns></returns>
        protected string getPostscript(object Postscript)
        {
            string s_Postscript = string.Empty;
            if (Postscript != null && Postscript.ToString() != string.Empty)
                s_Postscript = "<span class=\"reshow\">附言：</span>" + JuSNS.Common.Input.HtmlDecode(Postscript.ToString());
            return s_Postscript;
        }
    }
}
